# `OpenSSL` — Python interface to OpenSSL

This package provides a high-level interface to the functions in the OpenSSL library. The following modules are defined:

- `crypto` — Generic cryptographic module
  - Elliptic curves
  - Serialization and deserialization
  - Signing and verifying signatures
  - X509 objects
  - X509Name objects
  - X509Req objects
  - X509Store objects
  - X509StoreContextError objects
  - X509StoreContext objects
  - X509StoreFlags constants
  - PKey objects
  - PKCS7 objects
  - PKCS12 objects
  - X509Extension objects
  - NetscapeSPKI objects
  - CRL objects
  - Revoked objects
  - Exceptions
  - Digest names
- `SSL` — An interface to the SSL-specific parts of OpenSSL
  - Context objects
  - Session objects
  - Connection objects